## org.apache.batik.dom.svg
Class SVGOMAnimatedNumber

    java.lang.Object
      org.apache.batik.dom.svg.SVGOMAnimatedNumber

All Implemented Interfaces:
  LiveAttributeValue, SVGAnimatedNumber

public class SVGOMAnimatedNumber
extends java.lang.Object
implements SVGAnimatedNumber, LiveAttributeValue

This class implements the `SVGAnimatedNumber` interface.

Field Summary
`protected float` `defaultValue` The default value.
`protected AbstractElement` `element` The associated element.
`protected java.lang.String` `localName` The attribute's local name.
`protected java.lang.String` `namespaceURI` The attribute's namespace URI.

Constructor Summary
`SVGOMAnimatedNumber(AbstractElement elt, java.lang.String ns, java.lang.String ln, float val)` Creates a new SVGOMAnimatedNumber.

Method Summary
`void` `attrAdded(org.w3c.dom.Attr node, java.lang.String newv)` Called when an Attr node has been added.
`void` `attrModified(org.w3c.dom.Attr node, java.lang.String oldv, java.lang.String newv)` Called when an Attr node has been modified.
`void` `attrRemoved(org.w3c.dom.Attr node, java.lang.String oldv)` Called when an Attr node has been removed.
`float` `getAnimVal()` DOM: Implements `SVGAnimatedNumber.getAnimVal()`.
`float` `getBaseVal()` DOM: Implements `SVGAnimatedNumber.getBaseVal()`.
`void` `setBaseVal(float baseVal)` DOM: Implements `SVGAnimatedNumber.setBaseVal(float)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### element

    protected AbstractElement element

  The associated element.

### namespaceURI

    protected java.lang.String namespaceURI

  The attribute's namespace URI.

### localName

    protected java.lang.String localName

  The attribute's local name.

### defaultValue

    protected float defaultValue

  The default value.

Constructor Detail

### SVGOMAnimatedNumber

    public SVGOMAnimatedNumber(AbstractElement elt,
                               java.lang.String ns,
                               java.lang.String ln,
                               float val)

  Creates a new SVGOMAnimatedNumber.

Parameters:
  `elt` - The associated element.
  `ns` - The attribute's namespace URI.
  `ln` - The attribute's local name.
  `val` - The default value, if the attribute is not specified.

Method Detail

### getBaseVal

    public float getBaseVal()

  DOM: Implements `SVGAnimatedNumber.getBaseVal()`.

  Specified by:
    `getBaseVal` in interface `SVGAnimatedNumber`

### setBaseVal

    public void setBaseVal(float baseVal)
                    throws org.w3c.dom.DOMException

  DOM: Implements `SVGAnimatedNumber.setBaseVal(float)`.

  Specified by:
    `setBaseVal` in interface `SVGAnimatedNumber`
  Throws:
    `org.w3c.dom.DOMException`

### getAnimVal

    public float getAnimVal()

  DOM: Implements `SVGAnimatedNumber.getAnimVal()`.

  Specified by:
    `getAnimVal` in interface `SVGAnimatedNumber`

### attrAdded

    public void attrAdded(org.w3c.dom.Attr node,
                          java.lang.String newv)

  Called when an Attr node has been added.

  Specified by:
    `attrAdded` in interface `LiveAttributeValue`

### attrModified

    public void attrModified(org.w3c.dom.Attr node,
                             java.lang.String oldv,
                             java.lang.String newv)

  Called when an Attr node has been modified.

  Specified by:
    `attrModified` in interface `LiveAttributeValue`

### attrRemoved

    public void attrRemoved(org.w3c.dom.Attr node,
                            java.lang.String oldv)

  Called when an Attr node has been removed.

  Specified by:
    `attrRemoved` in interface `LiveAttributeValue`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.